import request from '@/utils/request'

// 查询语音分类-主要是区分侧边栏语音类型列表
export function listQwSopTempVoiceGroup(query) {
  return request({
    url: '/qw/QwSopTempVoiceGroup/list',
    method: 'get',
    params: query
  })
}

// 查询语音分类-主要是区分侧边栏语音类型详细
export function getQwSopTempVoiceGroup(id) {
  return request({
    url: '/qw/QwSopTempVoiceGroup/' + id,
    method: 'get'
  })
}

// 新增语音分类-主要是区分侧边栏语音类型
export function addQwSopTempVoiceGroup(data) {
  return request({
    url: '/qw/QwSopTempVoiceGroup',
    method: 'post',
    data: data
  })
}

// 修改语音分类-主要是区分侧边栏语音类型
export function updateQwSopTempVoiceGroup(data) {
  return request({
    url: '/qw/QwSopTempVoiceGroup',
    method: 'put',
    data: data
  })
}

// 删除语音分类-主要是区分侧边栏语音类型
export function delQwSopTempVoiceGroup(id) {
  return request({
    url: '/qw/QwSopTempVoiceGroup/' + id,
    method: 'delete'
  })
}

// 导出语音分类-主要是区分侧边栏语音类型
export function exportQwSopTempVoiceGroup(query) {
  return request({
    url: '/qw/QwSopTempVoiceGroup/export',
    method: 'get',
    params: query
  })
}
